Module Module1

    Private Declare Function GetComputerName Lib "kernel32.dll" Alias "GetComputerNameA" (ByVal lpBuffer As String, ByRef nSize As Integer) As Integer

    Sub Main()

        Dim strBuffer As String
        Dim intCharCount As Integer
        Dim intRetVal As Integer
        Const MAX_COMPUTERNAME_LENGTH As Integer = 31
        Dim strMessage As String

        intCharCount = MAX_COMPUTERNAME_LENGTH
        strBuffer = New String(Chr(0), intCharCount + 1)
        intRetVal = GetComputerName(strBuffer, intCharCount)

        If intRetVal <> 0 Then
            strMessage = "Your computer name is: " _
                       & strBuffer.Substring(0, intCharCount)
        Else
            strMessage = "Computer name could not be determined."
        End If

        Console.WriteLine(strMessage)

        Console.WriteLine("")
        Console.WriteLine("(Press Enter to close this window.)")
        Console.ReadLine()

    End Sub

End Module
